require "qt2"
include Qt2

appli = QApplication.new([$0]+ARGV)
button = QPushButton.new("Color is Red")

palette = button.palette()
palette.setColor(QColorGroup::ButtonText, Qt::red)
button.setPalette(palette)

Qt2::connect(button,QSIGNAL("clicked()"),appli,QSLOT("quit()"))

appli.setMainWidget(button)
button.show

appli.exec
